<div fxLayout="row" fxLayoutAlign="space-evenly space-evenly"
  style="padding-bottom :5px; border-bottom: 1px solid rgba(0,0,0,0.1);">
  <div fxLayout="row" fxLayoutGap="50px" style="padding: 2rem; ">
    <div fxLayout="column" fxLayoutAlign="space-between center" fxLayoutGap="16px">
      <span fxLayout="column" fxLayoutAlign="center center" (click)="openAssistanceModal()"
        style="cursor: pointer; width: 70px; height: 70px;  border-radius: 5px; box-shadow:  rgba(0, 0, 0, 0.075) 1px 2px 0px 0px, rgba(0, 0, 0, 0.075) 0px 0px 0px 2px;">
        <img src="assets/images/ic_call_24px.png" alt="image" class="logo-image" style="height: 30px;width: 30px">

      </span>
      <p style="color: #606060">{{ 'HELPLINE' | translate }}</p>
    </div>

  </div>
  <div fxLayout="row" fxLayoutGap="50px" style="padding: 2rem; ">
    <div fxLayout="column" fxLayoutAlign="space-between center" fxLayoutGap="16px">
      <span fxLayout="column" fxLayoutAlign="center center" (click)="openOrderModal()"
        style="cursor: pointer; width: 70px; height:70px;  border-radius: 5px; "
        [ngClass]="{'green-border': deliveryStatus == 1, 'grey-border' : deliveryStatus == 0  }">
        <svg *ngIf="deliveryStatus == 1" style="width: 30px;  height: 30px;" [ngStyle]="{'fill': 'rgb(38, 194, 129)'}">
          <use xlink:href="assets/icons/o.svg#icon-pause"></use>
        </svg>

        <svg *ngIf="deliveryStatus == 0" style="width: 30px;  height: 30px;" [ngStyle]="{'fill': '#a3a3a3'}">
          <use xlink:href="assets/icons/l.svg#icon-play"></use>
        </svg>

      </span>
      <p style="color: #606060">
        {{deliveryStatus == 1 ? ('AVAILABLE'| translate): ('NOT_AVAILABLE'| translate) }} </p>
    </div>

  </div>

</div>

<div fxLayout="row" fxLayoutAlign="space-between center"
  style="border-bottom: 1px solid rgba(0,0,0,0.1); padding: 5px 20px 5px 10px ">
  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" style="height: 3rem">
    <!-- <span style="cursor:pointer" routerLink="/editMenu">Modifier le menu </span> -->
    <a [routerLink]="['/menuSettings']" style="text-decoration: none;color:black ">{{ 'EDIT_MENU' | translate }}</a>
  </div>

</div>
<div fxLayout="row" fxLayoutAlign="space-between center"
  style="border-bottom: 1px solid rgba(0,0,0,0.1); padding: 5px 20px 5px 10px ">
  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" style="height: 3rem">
    <!-- <span style="cursor:pointer" routerLink="/editOptions">Modifier les options </span> -->
    <a (click)="settingsLanguageModal()"
      style="text-decoration: none;color:black ;cursor: pointer;">{{ 'LANGUAGE_SETTINGS' | translate }}</a>
  </div>

</div>


<!-- <div fxLayout="row" fxLayoutAlign="space-between center"
  style="border-bottom: 1px solid rgba(0,0,0,0.1); padding: 5px 20px 5px 10px ">
  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" style="height: 3rem">
    <a [routerLink]="['/OpeningHours']" style="text-decoration: none;color:black">Modifier les horaires d'overtures</a>
  </div>

</div> -->

<ng-template #dateModal let-dateModal>
  <div class="modal-header" style="border-bottom: #ffffff">
    <h5 class="modal-title">{{ 'DEACTIVE_SERVICE' | translate }}</h5>
  </div>
  <div class="modal-body container" fxLayout="column">
    <div fxLayout="column" class="selectBox" fxLayoutAlign="center center">
      <label for="uneheure" class="container" (click)="setDate(0)">{{ 'FOR_ONE_HOUR' | translate }}
        <input id="uneheure" type="radio" value="uneheure" name="uneheure" required>
        <span class="checkmark" style="margin: 4px 2px 0px 2px;"></span>
      </label>
    </div>
    <div fxLayout="column" class="selectBox" fxLayoutAlign="center center">
      <label for="trheure" class="container" (click)="setDate(1)">{{ 'FOR_THREE_HOUR' | translate }}
        <input id="trheure" type="radio" value="trheure" name="uneheure" required>
        <span class="checkmark" style="margin: 4px 2px 0px 2px;"></span>
      </label>
    </div>
    <div fxLayout="column" class="selectBox" fxLayoutAlign="center center">
      <label for="demain" class="container" (click)="setDate(2)">{{ 'TILL_TOMORROW' | translate }}
        <input id="demain" type="radio" value="demain" name="uneheure" required>
        <span class="checkmark" style="margin: 4px 2px 0px 2px;"></span>
      </label>
    </div>
    <div fxLayout="column" class="selectBox" fxLayoutAlign="center center">
      <label for="indefiniment" class="container" (click)="setDate(3)">{{ 'INDEFINITELY' | translate }}
        <input id="indefiniment" type="radio" value="indefiniment" name="uneheure" required>
        <span class="checkmark" style="margin: 4px 2px 0px 2px;"></span>
      </label>
    </div>
  </div>
  <div class="modal-footer" style="position: relative; height: 110px;border-top: #ffffff">
    <ng-container>
      <button type="button" class="btn 'btn-light'" #btn2 [disabled]="showLoading"
        (click)="dateModal.close('Close click'); option = -1; "><b>{{ 'RETURN' | translate }}</b></button>
      <button type="button" class="btn" #btn1
        [ngClass]="{'btn-sauvegarder': option >= 0, 'btn-light' : option === -1  }" [disabled]="option === -1  "
        (click)="pauseDelivery(btn1, btn2, dateModal)">
        <b>{{ 'SAVE' | translate }}</b></button>
    </ng-container>
    <div id="loader" *ngIf="showLoading === true"> </div>
  </div>
</ng-template>
<ng-template #assistanceModal let-assistanceModal>
  <div class="modal-header" style="border-bottom: #ffffff">
    <h6 class="modal-title"> {{ 'HELPSTORE' | translate }}</h6>
  </div>
  <div class="modal-body" fxLayout="column" fxLayoutGap="15px" style="padding: 20px; height: 200px">
    <div fxLayout="row" fxLayoutAlign="space-between center">
      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" style="height: 3rem">
        <img src="assets/images/assitance.png" alt="image" class="logo-image" style="height: 25px;width: 25px">
        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
          <span style="padding-left: 10px;font-size: 20px">0560171676</span>
        </div>
      </div>
    </div>
    <div fxLayout="row" fxLayoutAlign="space-between center">
      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" style="height: 3rem">
        <img src="assets/images/assitance.png" alt="image" class="logo-image" style="height: 25px;width: 25px">
        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
          <span style="padding-left: 10px;font-size: 20px">0770886448</span>
        </div>
      </div>
    </div>
    <div fxLayout="row" fxLayoutAlign="space-between center">
      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" style="height: 3rem">
        <img src="assets/images/assitance.png" alt="image" class="logo-image" style="height: 25px;width: 25px">
        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
          <span style="padding-left: 10px;font-size: 20px">0776586471</span>
        </div>
      </div>
    </div>
  </div>
  <div class="modal-footer" style="position: relative; height: 110px;border-top: #ffffff">
    <ng-container>
      <button type="button" class="btn" #btn1 (click)="assistanceModal.close('Close click');  ">
        <b>{{ 'RETURN' | translate }}</b></button>
    </ng-container>
    <div id="loader" *ngIf="showLoading === true"> </div>
  </div>

</ng-template>


<ng-template #languageModal let-languageModal>
  <div class="modal-header" style="border-bottom: #ffffff">
    <h6 class="modal-title" fxLayoutAlign="center center"><b>{{ 'CHANGE_LANGUAGE' | translate }}</b></h6>
  </div>
  <div class="modal-body container" fxLayout="column">
    <div fxLayout="column" class="selectBox" fxLayoutAlign="center center">
      <label for="francais" class="container" (click)="setLanguage('fr')">Français
        <input id="francais" type="radio" value="francais" name="langue" required [checked]="lang == 'fr'">
        <span class="checkmark" style="margin: 4px 2px 0px 2px;"></span>
      </label>
    </div>
    <div fxLayout="column" class="selectBox" fxLayoutAlign="center center">
      <label for="arabe" class="container" (click)="setLanguage('ar')">العربية
        <input id="arabe" type="radio" value="arabe" name="langue" required [checked]="lang == 'ar'">
        <span class="checkmark" style="margin: 4px 2px 0px 2px;"></span>
      </label>
    </div>
    <div fxLayout="column" class="selectBox" fxLayoutAlign="center center">
      <label for="english" class="container" (click)="setLanguage('en')">English
        <input id="english" type="radio" value="english" name="langue" required [checked]="lang == 'en'">
        <span class="checkmark" style="margin: 4px 2px 0px 2px;"></span>
      </label>
    </div>

  </div>
  <div class="modal-footer" style="position: relative; height: 110px;border-top: #ffffff">
    <ng-container>
      <button type="button" class="btn 'btn-light'" [disabled]="showLoading"
        (click)="closeModal() "><b>{{ 'RETURN' | translate }}</b></button>
      <button type="button " class="btn btn-sauvegarder" (click)="setLang()" [disabled]="language === ''  ">
        <b>{{ 'SAVE' | translate }}</b></button>
    </ng-container>
    <div id="loader" *ngIf="showLoading === true"> </div>
  </div>
</ng-template>